Subject: Re: git-svn: Cannot lock the ref 'refs/remotes/tags/autotag_for_.'.

From: Tzafrir Cohen <[email-masked]>
Date: Wed, 10 Feb 2010 19:07:57 +0200

Small update,

On Tue, Feb 09, 2010 at 11:39:29PM +0200, Tzafrir Cohen wrote:
> Hi
> 
> I'm using git-svn for watching over SVN repositories in
> svn.asterisk.org . The largest one there is
> http://svn.asterisk.org/svn/asterisk .
> 
> This worked fine up until recently. I was using Debian Stable with Git
> 1.5.6 .
> 
> Recently I upgraded my system to Debian Testing with Git 1.6 (I
> currently have 1.6.6.1-1). Today I tried to update the repository (git
> svn rebase --fetch-all) and got the following error:
> 
>   fatal: Cannot lock the ref 'refs/remotes/tags/autotag_for_.'.
> 
> IIRC it followed an automatic garbage-collection in the repository.
> 
> I decided to re-clone the SVN repository (I was planning on doing that
> for quite some time, with a proper AUTHORS file this time. But it's a
> repo of some 200,000 revisions and takes a few days to clone)
> 
> I eventually got the same error.
> 
> The specific revision that triggered it:
> 
>   http://svnview.digium.com/svn/asterisk?view=revision&revision=47394
> 
> Should git-svn mangle SVN tag names to be legal git ref names? Or just
> panic before it makes the git repo invalid?
> 
> Is there a way for me to skip some tags? I can avoid that specific tag.

Here's one that did not work:

$ git svn clone -s --ignore-paths='^/tags/autotag_for_.$' http://svn.asterisk.org/svn/asterisk

I again stress that git-svn manages to fetch a faulty repository.
Another sub-question is: how do I remove that faulty reference git-svn
added?

> 
> Please CC your replies to me as I don't actively follow this list.

-- 
               Tzafrir Cohen
icq#16849755              jabber:[email-masked]
+972-50-7952406           mailto:[email-masked]
http://www.xorcom.com  iax:[email-masked]/tzafrir